%define ver      0.3.1
%define rel      2
%define prefix   /usr

Summary:   plaympeg - MPEG audio (MP3) and video (MPEG-1) player
Name:      smpeg
Version:   %ver
Release:   %rel
Copyright: LGPL
ExclusiveArch: i386 alpha
Group:     Applications/Multimedia
Source0:   smpeg-%{PACKAGE_VERSION}.tar.gz
Patch:     smpeg-alpha.patch
URL:       http://www.lokigames.com/development/smpeg.php3
BuildRoot: /tmp/smpeg-%{PACKAGE_VERSION}-root
Docdir:    %{prefix}/doc

%description
plaympeg is an MPEG audio and video player that uses the
SDL MPEG Player Library. It can play back MPEG audio
(layer 1, 2 and 3), MPEG video (MPEG-1) and MPEG system
(audio and video combined) files. MPEG-2 video files (as
found on DVDs) are not supported.

%package devel
Summary: SDL MPEG player developing files.
Group:	 Development/Libraries

%description devel
This package includes a free MPEG1 video player library and header files
necessary for developing applications which use smpeg.

%prep
%setup
%patch -p1

%build
if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=%prefix --disable-opengl-player
else
  CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix  --disable-opengl-player
fi

make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{prefix} install

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc CHANGES COPYING README
%{prefix}/lib/*.so.*
%{prefix}/bin/*
%{prefix}/man/man?/*

%files devel
%{prefix}/include/*
%{prefix}/lib/*.a
%{prefix}/lib/*.la
%{prefix}/lib/*.so

%changelog
* Wed Dec 08 1999 Ngo Than <than@redhat.de>
- smpeg with sdl-1.0

* Tue Nov 09 1999 Ngo Than <than@redhat.de>
- initial RPM for powertools-6.2
